
.header {
  position: absolute;
  width: 100%;
  z-index: 50;
  top: 2rem;
  font-family: 'Inter';
}

.header ul {
  margin: 0;
  padding: 0;
  list-style: none;
  overflow: hidden;

}



.header .logo {
  display: block;
  font-size: 1.5rem;
  padding: 10px 20px;
  text-decoration: none;
}

/* menu */

.header .menu {
  position: absolute;
  right: 1.5vw;
  font-size: 1.5rem;
  max-height: 0;
  transition: max-height .2s ease-out;
}

.menu a:hover {
	color: #FDDA25;
}

/* menu icon */

.header .menu-icon {
  cursor: pointer;
  display: inline-block;
  position: absolute;
  user-select: none;
  right: 1.5vw;
  z-index: 50;
}

.header .menu-icon .navicon {
  background: #FDDA25;
    display: block;
    position: relative;
    transition: background .2s ease-out;
    width: 2.5rem;
    border-radius: 5px;
    height: 4px;
}

.header .menu-icon .navicon:before,
.header .menu-icon .navicon:after {
  background: #FDDA25;
  content: '';
  display: block;
  height: 100%;
  position: absolute;
  transition: all .2s ease-out;
  width: 100%;
  border-radius: 5px;
}

.header .menu-icon .navicon:before {
  top: 12px;
}

.header .menu-icon .navicon:after {
  top: -12px;
}

/* menu btn */

.header .menu-btn {
  display: none;
}

.header .menu-btn:checked ~ .menu {
    max-height: 340px;
    height: 18rem;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    padding: 3rem 1rem 3rem 3rem;
    border-radius: 1rem 0 0 1rem;
    margin-right: -1rem;
    background: rgba(61, 90, 96, 20%);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    border-bottom: 3px solid #4e4e4e4d;
    border-right: 3px solid #4e4e4e4d;
    border-left: 3px solid #4e4e4e4d;
}

.header .menu-btn:checked ~ .menu-icon .navicon {
  background: transparent;
}

.header .menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg);
}

.header .menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg);
}

.header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before,
.header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
  top: 0;
}






@media (min-width: 300px) {
    .header .menu-icon {
     top: 1.2rem }
     
     .header .menu-icon .navicon {
      height: 3px;
      width: 1.5rem;
}

   .header .menu-icon .navicon:before {
    top: 7px;
}

.header .menu-icon .navicon:after {
    top: -7px;
}
     
}

@media (min-width: 440px) {
    .header .menu-icon {
     top: 1.5rem }
     
     .header .menu-icon .navicon {
      height: 3px;
      width: 1.5rem;
}

   .header .menu-icon .navicon:before {
    top: 7px;
}

.header .menu-icon .navicon:after {
    top: -7px;
}
     
}


/* 48em = 768px */

@media (min-width: 760px) {
  .header li {
    display: inline-block;
  }
  .header li a {
    padding: 0.75rem 1.25rem;
  }
  .header .menu {
    top: 0.3rem;
    max-height: none;
  }
  .header .menu-icon {
    display: none;
    top: 2.3rem;
  }

.header .menu-icon .navicon {
    width: 2.5rem;
    height: 4px;
}

.header .menu-icon .navicon:before {
  top: 12px;
}

.header .menu-icon .navicon:after {
  top: -12px;
}
  
  
}






